package com.bio.bio_backend.domain.base.authgroup.service;

import com.bio.bio_backend.domain.base.authgroup.dto.AuthGroupDto;
import java.util.List;

public interface AuthGroupService {
    AuthGroupDto create(AuthGroupDto dto);

    AuthGroupDto getById(Long id);

    List<AuthGroupDto> getAll();

    AuthGroupDto update(Long id, AuthGroupDto dto);

    void delete(Long id);
}
